Subject: Re: rxvt win32 fixes
From: Christian LESTRADE <[email-masked]>
To: Steve O <[email-masked]>
Cc: [email-masked]
Date: Thu, 07 Feb 2002 18:52:27 +0100

Hello,

I previously sent to you an improvement about the handling of the Backspace 
key.

Now, I would like to submit another improvement about the handling of the F10
key. The F10 key calls the windows system menu instead to be passed to the
application. In order to fix that, apply the attached patch after having
applied my previous patch.

Regards,
Christian LESTRADE

At 12:17 25/01/02 -0600, you wrote:
>Hi,
>
>I love getting patches, and I'm really happy that you found the
>cause of the extra erasing.  I've been working on porting 2.7.7,
>and it's been slow going.  Hopefully I can rebuild a 2.7.2 and update
>it, but it might be a week or so.
>
>Thanks,
>-steve o
>
>On Wed, Jan 23, 2002 at 09:10:37PM +0100, Christian LESTRADE wrote:
> > Hello,
> >
> > I would like to submit two improvements to the Win32 port of rxvt 2.7.2:
> >
> > 1) In the file W11/w32/xlib.c, function XClearArea, the area cleared is
> >     one pixel too large (vertical and horizontal) -> some characters in
> >     the rxvt window loose pixels
> >
> > 2) Let rxvt handle the Backspace key the same way as in X11: pass the
> >     key as XK_BackSpace, so rxvt can recognize the current tty mode and
> >     so we can use the following rxvt escape sequences to choose the 
> backspace
> >     char:
> >        To set BackSpace = ^H : echo -e '\033[?67h'
> >        To set BackSpace = ^? : echo -e '\033[?67l'
> >
> >
> > There are some little improvements to do, which belong to the main 
> source code:
> > - Set erase key of a new terminal window to the current BackSpace value,
> >    when not started by another terminal window
> > - BackSpace and SHIFT BackSpace should send the same character
> >
> >
> > Note:
> > My patch restores the original BackSpace behaviour: by default, as 
> described
> > in the rxvt documentation, BackSpace sends the DEL (^?) character
> > instead of (^H).
> >
> >
> > Regards,
> > Christian LESTRADE
> > mailto:[email-masked]
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/